Financial Reports
The Financial Reports resources provide the capability to create and get the contents of reports on your Airwallex account's historical transaction activity.
POST /api/v1/finance/financial_reports/createGET /api/v1/finance/financial_reports/{id}GET /api/v1/finance/financial_reportsGET /api/v1/finance/financial_reports/{id}/content
Create a Financial Report
POST /api/v1/finance/financial_reports/create
Create a balance activity, transaction reconciliation, or settlement report.
File format of financial report to create.
CSVSupported formats for Balance Activity Reports, Settlement and Transaction Reconciliation Reports
EXCELSupported formats for Balance Activity Reports, Settlement and Transaction Reconciliation Reports, Online Payment Transaction Reports
PDFSupported formats for Balance Activity Reports, Account Statement Reports
Start date of the report (inclusive).
End date of the report (inclusive).
Type of financial report to create.
ACCOUNT_STATEMENT_REPORTBALANCE_ACTIVITY_REPORTONLINE_PAYMENTS_TRANSACTION_REPORTSETTLEMENT_REPORTTRANSACTION_RECON_REPORTCurrencies to be included in the report. This filter is required for ACCOUNT_STATEMENT_REPORT and is supported as an optional filter for BALANCE_ACTIVITY_REPORT and SETTLEMENT_REPORT. Other report types do not support this filter.
File name of the report. If left empty, a file name will be automatic generated following {REPORT_TYPE}_{DATE}.
Additional options for configuring report generation behavior.
Whether to include reservation transactions in the report. Defaults to true if not specified. This parameter is only applicable to BALANCE_ACTIVITY_REPORT for versions v1.2 and onwards.
Version of the report (Not applicable to SETTLEMENT_REPORT). If left empty, defaults to 1.1.0 for the BALANCE_ACTIVITY_REPORT and TRANSACTION_RECON_REPORT, and to 1.0.0 for other report types. See the Financial Report Product DocsDocs for details on available report versions and the contents of each version.
Settlement currencies to be included in the report. The report will include all settlement currencies if left empty. This filter is only supported by TRANSACTION_RECON_REPORT.
Transaction statuses to be included in the report. The report will include all statuses if left empty. This filter is only supported by TRANSACTION_RECON_REPORT.
Timezone of the user requesting the report (Not applicable to SETTLEMENT_REPORT).
Transaction currencies to be included in the report. The report will include all transaction currencies if left empty. This filter is only supported by TRANSACTION_RECON_REPORT.
Transaction types to be included in the report. Will include all transaction types if left empty. Supported Balance Activity Transaction Types: ADJUSTMENT, CARD, CHARGE, CONVERSION, DEPOSIT, DIRECT_DEBIT, FEE, PAYIN, PAYOUT, TRANSFER, YIELD. Supported Transaction Reconciliation Report Transaction Types: ADJUSTMENT, CARD, CONVERSION, DEPOSIT, FEE, PAYMENT, PAYOUT. Please leave blank when type is ONLINE_PAYMENTS_TRANSACTION_REPORT or SETTLEMENT_REPORT.
File format of the report. One of CSV, PDF, EXCEL.
File name.
Unique identifier of the financial report.
Contents expiration date. Will be empty string if report is in PENDING state or the report does not expire.
Parameters used to generate report.
Currencies included in the report.
Start date of the report (inclusive).
Timezone of the user.
End date of the report (inclusive).
Transaction types included in the report.
Version of the report.
Status of the report.
COMPLETEDPENDINGACCOUNT_STATEMENT_REPORTAGGREGATED_SETTLEMENT_REPORTBALANCE_ACTIVITY_REPORTONLINE_PAYMENTS_TRANSACTION_REPORTSETTLEMENT_REPORTTRANSACTION_RECON_REPORT| Error status | Description |
|---|---|
| 400 |
|
| 401 |
|
| 500 |
|
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/finance/financial_reports/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "currencies": [> "AUD",> "USD",> "EUR"> ],> "file_format": "CSV",> "file_name": "BALANCE_ACTIVITY_REPORT_2022_02_23.csv",> "from_date": "2022-02-22",> "report_options": {> "include_reservations": true> },> "report_version": "1.0.0",> "settlement_currencies": [> "AUD",> "USD",> "EUR"> ],> "statuses": [> "SETTLED"> ],> "time_zone": "UTC",> "to_date": "2022-02-25",> "transaction_currencies": [> "AUD",> "USD",> "EUR"> ],> "transaction_types": [> "CONVERSION"> ],> "type": "BALANCE_ACTIVITY_REPORT">}'
1{2 "file_format": "CSV",3 "file_name": "BALANCE_ACTIVITY_REPORT_2022_02_23.csv",4 "id": "ff13f14b-1624-4c24-b601-b4c018d2ea092",5 "report_expires_at": "2022-03-23T23:59:59+1100",6 "report_parameters": {7 "currencies": [8 "AUD",9 "USD",10 "EUR"11 ],12 "from_date": "2022-02-22",13 "time_zone": "UTC",14 "to_date": "2022-02-25",15 "transaction_types": [16 "conversion"17 ]18 },19 "report_version": "1.0.0",20 "status": "COMPLETED",21 "type": "BALANCE_ACTIVITY_REPORT"22}
Retrieve a Financial Report
GET /api/v1/finance/financial_reports/{id}
Get a single generated balance activity, transaction reconciliation, settlement or aggregated settlement report.
Unique identifier of financial report.
File format of the report. One of CSV, PDF, EXCEL.
File name.
Unique identifier of the financial report.
Contents expiration date. Will be empty string if report is in PENDING state or the report does not expire.
Parameters used to generate report.
Currencies included in the report.
Start date of the report (inclusive).
Timezone of the user.
End date of the report (inclusive).
Transaction types included in the report.
Version of the report.
Status of the report.
COMPLETEDPENDINGACCOUNT_STATEMENT_REPORTAGGREGATED_SETTLEMENT_REPORTBALANCE_ACTIVITY_REPORTONLINE_PAYMENTS_TRANSACTION_REPORTSETTLEMENT_REPORTTRANSACTION_RECON_REPORT| Error status | Description |
|---|---|
| 400 |
|
| 401 |
|
| 404 |
|
| 500 |
|
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/finance/financial_reports/financial_report_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "file_format": "CSV",3 "file_name": "BALANCE_ACTIVITY_REPORT_2022_02_23.csv",4 "id": "ff13f14b-1624-4c24-b601-b4c018d2ea092",5 "report_expires_at": "2022-03-23T23:59:59+1100",6 "report_parameters": {7 "currencies": [8 "AUD",9 "USD",10 "EUR"11 ],12 "from_date": "2022-02-22",13 "time_zone": "UTC",14 "to_date": "2022-02-25",15 "transaction_types": [16 "conversion"17 ]18 },19 "report_version": "1.0.0",20 "status": "COMPLETED",21 "type": "BALANCE_ACTIVITY_REPORT"22}
List all Financial Reports
GET /api/v1/finance/financial_reports
Get list of previously generated balance activity, transaction reconciliation, settlement, account statement, and aggregated settlement reports.
Page number, starts from 0.
Number of results per page, default is 100, max is 1000.
A flag which identifies whether there are more results.
List items.
File format of the report. One of CSV, PDF, EXCEL.
File name.
Unique identifier of the financial report.
Contents expiration date. Will be empty string if report is in PENDING state or the report does not expire.
Parameters used to generate report.
Currencies included in the report.
Start date of the report (inclusive).
Timezone of the user.
End date of the report (inclusive).
Transaction types included in the report.
Version of the report.
Status of the report.
COMPLETEDPENDINGACCOUNT_STATEMENT_REPORTAGGREGATED_SETTLEMENT_REPORTBALANCE_ACTIVITY_REPORTONLINE_PAYMENTS_TRANSACTION_REPORTSETTLEMENT_REPORTTRANSACTION_RECON_REPORT| Error status | Description |
|---|---|
| 400 |
|
| 401 |
|
| 500 |
|
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/finance/financial_reports' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": true,3 "items": [4 {5 "file_format": "CSV",6 "file_name": "BALANCE_ACTIVITY_REPORT_2022_02_23.csv",7 "id": "ff13f14b-1624-4c24-b601-b4c018d2ea092",8 "report_expires_at": "2022-03-23T23:59:59+1100",9 "report_parameters": {10 "currencies": [11 "AUD",12 "USD",13 "EUR"14 ],15 "from_date": "2022-02-22",16 "time_zone": "UTC",17 "to_date": "2022-02-25",18 "transaction_types": [19 "conversion"20 ]21 },22 "report_version": "1.0.0",23 "status": "COMPLETED",24 "type": "BALANCE_ACTIVITY_REPORT"25 }26 ]27}
Retrieve a Contents of a Financial Report
GET /api/v1/finance/financial_reports/{id}/content
Download a previously generated balance activity, transaction reconciliation, settlement or aggregated settlement reports.
Unique identifier of financial report.
A file of content type matching the file_format of the financial report. The response Content-Type may be one of:
application/pdf: PDF (.pdf)application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: Microsoft Excel (.xlsx)text/plain: CSV (.csv)application/octet-stream: Generic binary file
| Error status | Description |
|---|---|
| 400 |
|
| 401 |
|
| 404 |
|
| 500 |
|
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/finance/financial_reports/financial_report_id/content' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1"<string>"